Subject: bug#69732: closed (Re: [bug#69732] [PATCH] gnu: atop: Update source hash.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 Apr 2024 16:01:03 +0000

Your bug report

#69732: [PATCH] gnu: atop: Update source hash.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69732: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69732
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#69732] [PATCH] gnu: atop: Update source hash.
From: Ludovic Courtès <[email-masked]>
To: Greg Hogan <[email-masked]>
Cc: [email-masked]
Date: Fri, 05 Apr 2024 18:00:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Greg Hogan <[email-masked]> skribis:

> $ ./pre-inst-env guix build atop
> The following derivations will be built:
>   /gnu/store/v6sqkj93jnnixg6294abs9f67nq7719c-atop-2.9.0.drv
>   /gnu/store/rxf1gbfs97k5br7mhf8wsgy3qp5y6rbr-atop-2.9.0.tar.gz.drv
>
> building
> /gnu/store/rxf1gbfs97k5br7mhf8wsgy3qp5y6rbr-atop-2.9.0.tar.gz.drv...
> /sha256 hash mismatch for
> /gnu/store/raki8h0anzpxci2ghgcdz1crf9k2jrlx-atop-2.9.0.tar.gz:
>   expected hash: 1y4qmc8i7zg2cqrmz38dxbsj8bb2h7jm1zz23gqcdygkgaymwddw
>   actual hash:   09prpw20ps6cd8qr63glbcip3jrvnnic0m7j1q02g8hjnw8z50ld

I downloaded both the old tarball (still available as substitutes) and
the new one, and here’s the difference:

--8<---------------cut here---------------start------------->8---
$ diff -ru /tmp/atop-2.9.0{.orig,}
Only in /tmp/atop-2.9.0: mkdate
$ cat /tmp/atop-2.9.0/mkdate 
#!/bin/sh

# Make a new versdate.h with the current date filled
#
CURDATE=$(date +%Y/%m/%d\ %H:%M:%S)

echo "#ifndef __ATOP_VERSDATA__"        > versdate.h
echo "#define __ATOP_VERSDATA__"        >> versdate.h
echo "#define   ATOPDATE        \"$CURDATE\""   >> versdate.h
echo "#endif"   >> versdate.h
--8<---------------cut here---------------end--------------->8---

Since that file does exactly what we don’t want, I added a snippet to
remove it (which effectively gets us back to the original tarball,
ironically.)

I also modified the commit log to explain that.

Thanks,
Ludo’.

Subject: [PATCH] gnu: atop: Update source hash.
From: Greg Hogan <[email-masked]>
To: [email-masked]
Cc: Greg Hogan <[email-masked]>
Date: Mon, 11 Mar 2024 12:59:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

$ ./pre-inst-env guix build atop
The following derivations will be built:
  /gnu/store/v6sqkj93jnnixg6294abs9f67nq7719c-atop-2.9.0.drv
  /gnu/store/rxf1gbfs97k5br7mhf8wsgy3qp5y6rbr-atop-2.9.0.tar.gz.drv

building
/gnu/store/rxf1gbfs97k5br7mhf8wsgy3qp5y6rbr-atop-2.9.0.tar.gz.drv...
/sha256 hash mismatch for
/gnu/store/raki8h0anzpxci2ghgcdz1crf9k2jrlx-atop-2.9.0.tar.gz:
  expected hash: 1y4qmc8i7zg2cqrmz38dxbsj8bb2h7jm1zz23gqcdygkgaymwddw
  actual hash:   09prpw20ps6cd8qr63glbcip3jrvnnic0m7j1q02g8hjnw8z50ld
hash mismatch for store item '/gnu/store/raki8h0anzpxci2ghgcdz1crf9k2jrlx-atop-2.9.0.tar.gz'
build of /gnu/store/rxf1gbfs97k5br7mhf8wsgy3qp5y6rbr-atop-2.9.0.tar.gz.drv failed
View build log at '/var/log/guix/drvs/rx/f1gbfs97k5br7mhf8wsgy3qp5y6rbr-atop-2.9.0.tar.gz.drv.gz'.
cannot build derivation `/gnu/store/v6sqkj93jnnixg6294abs9f67nq7719c-atop-2.9.0.drv': 1 dependencies couldn't be built
guix build: error: build of `/gnu/store/v6sqkj93jnnixg6294abs9f67nq7719c-atop-2.9.0.drv' failed

* gnu/packages/admin.scm (atop): Update source hash.
---
 gnu/packages/admin.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index c12d47da4b..5148020c96 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -5119,7 +5119,7 @@ (define-public atop
                                   version ".tar.gz"))
               (sha256
                (base32
-                "1y4qmc8i7zg2cqrmz38dxbsj8bb2h7jm1zz23gqcdygkgaymwddw"))))
+                "09prpw20ps6cd8qr63glbcip3jrvnnic0m7j1q02g8hjnw8z50ld"))))
     (build-system gnu-build-system)
     (arguments
      (list

base-commit: 1e5e3d8e24e8ed0b071fcd4b95d2a0a05c80c546
-- 
2.44.0